none
Can I remove Net.framework 2 & 3? RRS feed

  • Question

  • I have framework 3.5 SP1 listed on Add/Remove programs, as well as v2 SP2, and v3.0 SP2. Can I remove the earlier versions without problems?
    I don't consciously use Framework & have no idea what it does. I run XP v5.1.2600 Home/SP2, and about to install SP3. PC runs at 2.4Ghz with 1Gb memory. I need to free HD space.
    Friday, October 30, 2009 8:42 PM

Answers

  • Hi Brellis,

    Welcome to MSDN forums. And thank you for your post.

    .NET Framework 3.5 SP1 includes .NET Framework 2.0 and .NET Framework 3.0 as prerequisite. So we cannot remove them if we want to keep .NET 3.5 SP1.
    For better understanding the relationship between them, please see: http://www.danielmoth.com/Blog/2007/06/net-framework-35.html

    Hope this helps. If you have any concern, please feel free to let me know.

    Best regards,
    Yichun Chen

    (This response contains a reference to a third party World Wide Web site. Microsoft is providing this information as a convenience to you. Microsoft does not control these sites and has not tested any software or information found on these sites; therefore, Microsoft cannot make any representations regarding the quality, safety, or suitability of any software or information found there. There are inherent dangers in the use of any software found on the Internet, and Microsoft cautions you to make sure that you completely understand the risk before retrieving any software from the Internet.)

    Please remember to mark the replies as answers if they help and unmark them if they provide no help.
    Welcome to the All-In-One Code Framework! If you have any feedback, please tell us.
    • Edited by YiChun Chen Monday, November 2, 2009 11:03 AM typo
    • Marked as answer by YiChun Chen Friday, November 6, 2009 4:18 AM
    Monday, November 2, 2009 11:03 AM

All replies

  • Hello Yes, you can remove the .NET Framework If you want but some application which is created in the .NET Framework will not work. Regards, Devubha Manek
    Saturday, October 31, 2009 4:24 PM
  • Adding to Devubha's reply:

    Do not remove any of the earlier frameworks. They form the core of new framework versions. If you remove them, your system will end up in trouble.

    Regards,
    Jai
    Monday, November 2, 2009 6:57 AM
  • Hi Brellis,

    Welcome to MSDN forums. And thank you for your post.

    .NET Framework 3.5 SP1 includes .NET Framework 2.0 and .NET Framework 3.0 as prerequisite. So we cannot remove them if we want to keep .NET 3.5 SP1.
    For better understanding the relationship between them, please see: http://www.danielmoth.com/Blog/2007/06/net-framework-35.html

    Hope this helps. If you have any concern, please feel free to let me know.

    Best regards,
    Yichun Chen

    (This response contains a reference to a third party World Wide Web site. Microsoft is providing this information as a convenience to you. Microsoft does not control these sites and has not tested any software or information found on these sites; therefore, Microsoft cannot make any representations regarding the quality, safety, or suitability of any software or information found there. There are inherent dangers in the use of any software found on the Internet, and Microsoft cautions you to make sure that you completely understand the risk before retrieving any software from the Internet.)

    Please remember to mark the replies as answers if they help and unmark them if they provide no help.
    Welcome to the All-In-One Code Framework! If you have any feedback, please tell us.
    • Edited by YiChun Chen Monday, November 2, 2009 11:03 AM typo
    • Marked as answer by YiChun Chen Friday, November 6, 2009 4:18 AM
    Monday, November 2, 2009 11:03 AM